<template>
    <table>
        <thead>
        <tr>
            <th v-for="key in columns" :key=key.message>
                {{ key }}
            </th>
        </tr>
        </thead>

        <tbody>

        <tr v-for="user in users" :key="user.id">
            <td class="id">
                {{user.id}}
            </td>
            <td class="User">
                <UserItem
                    v-bind:user="user"
                    v-bind:only-selected="onlySelected"
                    v-bind:open-user-data="openUserData"
                    v-on:select-user="selectUser"
                    v-on:open-user="openUser"
                />
            </td>
        </tr>

        </tbody>
    </table>

</template>

<script>
    import UserItem from './UserItem';
    export default {
        name: "Grid",
        components: {UserItem},
        props: {
            columns: Array,
            users: Array,
            onlySelected: Boolean,
            openUserData: Object,
        },
        methods: {
            selectUser(id){
                this.$emit('select-user', id);
            },
            openUser(login){
                this.$emit('open-user', login);
            },

        },
    }


</script>

<style scoped>
    .User {
        position: relative;
    }
    th {
        height: 36px;
        background-color: rgba(124, 198, 200, 0.75);
    }
    .id {
        height: 80px;
        display: flex;
        justify-content: center;
        align-items: center;
    }

</style>